using Lada.Framework.Data.Domains.BaseEntities;
using System.ComponentModel.DataAnnotations;

namespace Lada.Framework.Data.Domains.Trucks
{
    public class TruckMaintenance : BaseEntityWithKey<int>
    {
        public int AgencyId { get; set; }
        public int TruckId { get; set; }
        [MaxLength(512)]
        public string Title { get; set; }
        [MaxLength(2048)]
        public string Description { get; set; }
        public int UserId { get; set; }
        [MaxLength(512)]
        public string GarageName { get; set; }
        [MaxLength(512)]
        public string GarageAddress { get; set; }
        [MaxLength(11)]
        public string GaragePhone { get; set; }
        public decimal Cost { get; set; }
        public bool HasInvoice { get; set; }
        [MaxLength(2048)]
        public string InvoiceUrl { get; set; }
        public DateTimeOffset StartTime { get; set; }
        public DateTimeOffset EndTime { get; set; }
        public DateTimeOffset NextTime { get; set; }
        public virtual List<TruckMaintLink> TruckMaintLinks { get; set; }
    }
}
